Package com.google.android.exoplayer2.video

## Interface VideoFrameMetadataListener

-     public interface VideoFrameMetadataListener

  A listener for metadata corresponding to video frames being rendered.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onVideoFrameAboutToBeRendered​(long presentationTimeUs, long releaseTimeNs, Format format, MediaFormat mediaFormat)` | Called on the playback thread when a video frame is about to be rendered.

- - ### Method Detail

    - #### onVideoFrameAboutToBeRendered

          void onVideoFrameAboutToBeRendered​(long presentationTimeUs,
                                             long releaseTimeNs,
                                             Format format,
                                             @Nullable
                                             MediaFormat mediaFormat)

      Called on the playback thread when a video frame is about to be rendered.
      Parameters:
        `presentationTimeUs` - The presentation time of the frame, in microseconds.
        `releaseTimeNs` - The wallclock time at which the frame should be displayed, in nanoseconds. If the platform API version of the device is less than 21, then this is a best effort.
        `format` - The format associated with the frame.
        `mediaFormat` - The framework media format associated with the frame, or `null` if not known or not applicable (e.g., because the frame was not output by a `MediaCodec`).